public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Luca Barbato" <lu_zero@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/rav1e/
Date: Mon,  6 Apr 2020 13:02:16 +0000 (UTC)	[thread overview]
Message-ID: <1586178129.9eb1fe1c84a4da20a6147a16ef5dfca27b2364ef.lu_zero@gentoo> (raw)

commit:     9eb1fe1c84a4da20a6147a16ef5dfca27b2364ef
Author:     Luca Barbato <lu_zero <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  6 13:01:39 2020 +0000
Commit:     Luca Barbato <lu_zero <AT> gentoo <DOT> org>
CommitDate: Mon Apr  6 13:02:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9eb1fe1c

media-video/rav1e: Add support for the C-API

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Luca Barbato <lu_zero <AT> gentoo.org>

 media-video/rav1e/metadata.xml      |  3 +++
 media-video/rav1e/rav1e-9999.ebuild | 35 ++++++++++++++++++++++++++++++-----
 2 files changed, 33 insertions(+), 5 deletions(-)

diff --git a/media-video/rav1e/metadata.xml b/media-video/rav1e/metadata.xml
index 71e948fffb9..8d7337c607f 100644
--- a/media-video/rav1e/metadata.xml
+++ b/media-video/rav1e/metadata.xml
@@ -4,4 +4,7 @@
   <maintainer type="person">
     <email>lu_zero@gentoo.org</email>
   </maintainer>
+  <use>
+    <flag name="capi">Build the C-API library and header file</flag>
+  </use>
 </pkgmetadata>

diff --git a/media-video/rav1e/rav1e-9999.ebuild b/media-video/rav1e/rav1e-9999.ebuild
index 131796f9e62..3865291f3be 100644
--- a/media-video/rav1e/rav1e-9999.ebuild
+++ b/media-video/rav1e/rav1e-9999.ebuild
@@ -1,8 +1,6 @@
-# Copyright 2017-2019 Gentoo Authors
+# Copyright 2017-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-# Auto-Generated by cargo-ebuild 0.2.0
-
 EAPI=7
 
 inherit cargo
@@ -20,11 +18,11 @@ LICENSE="BSD-2"
 SLOT="0"
 
 KEYWORDS=""
-IUSE=""
+IUSE="+capi"
 
 ASM_DEP=">=dev-lang/nasm-2.14"
 DEPEND="amd64? ( ${ASM_DEP} )"
-RDEPEND=""
+RDEPEND="capi? ( dev-util/cargo-c )"
 
 src_unpack() {
 	if [[ "${PV}" == *9999* ]]; then
@@ -32,3 +30,30 @@ src_unpack() {
 		cargo_live_src_unpack
 	fi
 }
+
+src_compile() {
+	export CARGO_HOME="${ECARGO_HOME}"
+	local args=$(usex debug "" --release)
+
+	cargo build ${args} \
+		|| die "cargo build failed"
+
+	if use capi; then
+		cargo cbuild ${args} \
+			--prefix="/usr" --libdir="/usr/$(get_libdir)" --destdir="${ED}" \
+			|| die "cargo cbuild failed"
+	fi
+}
+
+src_install() {
+	export CARGO_HOME="${ECARGO_HOME}"
+	local args=$(usex debug "" --release)
+
+	if use capi; then
+		cargo cinstall $args \
+			--prefix="/usr" --libdir="/usr/$(get_libdir)" --destdir="${ED}" \
+			|| die "cargo cinstall failed"
+	fi
+
+	cargo_src_install
+}


             reply	other threads:[~2020-04-06 13:02 UTC|newest]

Thread overview: 81+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-06 13:02 Luca Barbato [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-21  7:24 [gentoo-commits] repo/gentoo:master commit in: media-video/rav1e/ Ionen Wolkens
2024-03-04  7:20 Sam James
2024-03-04  7:17 Arthur Zamarin
2024-03-04  7:17 Arthur Zamarin
2024-03-04  7:17 Arthur Zamarin
2024-03-04  7:12 Sam James
2024-03-04  5:47 Sam James
2024-03-04  5:47 Sam James
2024-02-02  5:13 Sam James
2024-02-02  5:13 Sam James
2023-11-27 11:23 Sam James
2023-10-30  8:58 Sam James
2023-09-07 23:27 Sam James
2023-09-07 20:53 Sam James
2023-09-07 20:53 Sam James
2023-07-20 10:16 WANG Xuerui
2023-07-20 10:16 WANG Xuerui
2023-05-31  7:00 Sam James
2023-05-10 23:37 Sam James
2023-03-25 12:55 Arthur Zamarin
2023-02-11  2:36 Sam James
2023-02-11  2:21 Sam James
2023-01-23  3:29 Sam James
2022-11-12 17:48 Matt Turner
2022-05-05 16:48 Jakov Smolić
2022-02-19  0:37 Sam James
2022-02-18 17:54 Sam James
2022-02-18  7:03 Arthur Zamarin
2022-02-18  3:36 Sam James
2021-12-26  0:23 Sam James
2021-12-26  0:23 Sam James
2021-12-25 19:08 Arthur Zamarin
2021-12-25 19:08 Arthur Zamarin
2021-12-25 18:47 Arthur Zamarin
2021-12-24  6:14 Sam James
2021-12-24  5:56 Sam James
2021-12-24  5:56 Sam James
2021-09-12 22:57 Sam James
2021-09-12 22:57 Sam James
2021-08-02 16:42 Marek Szuba
2021-07-29 17:11 Luca Barbato
2021-05-09 21:44 Sam James
2021-05-09 10:57 Sam James
2021-05-09  7:48 Sam James
2021-05-09  7:48 Sam James
2021-05-09  7:46 Sam James
2021-04-02 18:32 Luca Barbato
2021-02-19 16:22 Sam James
2021-02-18 23:25 Sam James
2021-02-18 17:14 Sam James
2021-02-18 17:14 Sam James
2021-02-18 17:12 Sam James
2021-02-15  5:49 Sam James
2021-02-15  5:35 Sam James
2021-02-15  0:38 Sam James
2021-02-03  0:20 Sam James
2021-02-01 13:33 Sam James
2021-02-01 13:31 Sam James
2021-01-13 17:54 Luca Barbato
2021-01-01  0:00 Sam James
2020-12-20 16:40 Thomas Deutschmann
2020-12-18 14:22 Sam James
2020-12-18 10:25 Sergei Trofimovich
2020-12-17 16:41 Agostino Sarubbo
2020-12-17  6:09 Sam James
2020-10-13  0:10 Thomas Deutschmann
2020-10-09  8:36 Agostino Sarubbo
2020-10-08  2:30 Sam James
2020-10-07 20:16 Sam James
2020-10-07 18:52 Sam James
2020-10-07 18:50 Sam James
2020-07-19 15:48 Sam James
2020-07-13 22:17 Georgy Yakovlev
2020-07-13 22:17 Georgy Yakovlev
2020-07-12  1:51 Sam James
2020-07-10 12:30 Thomas Deutschmann
2020-07-04 21:55 Mart Raudsepp
2020-07-02 12:50 Alexis Ballier
2020-07-02 12:50 Alexis Ballier
2019-11-20 14:07 Luca Barbato

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1586178129.9eb1fe1c84a4da20a6147a16ef5dfca27b2364ef.lu_zero@gentoo \
    --to=lu_zero@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox